function AISMN_Wait::OnEnter(%this,%obj)
{
   SetStateVariable(%obj,0,100);
   return;
}

function AISMN_Wait::OnExit(%this,%obj)
{
   return;
}

function AISMN_Wait::Update(%this,%obj)
{
   if(10 < TimeInNode(%obj))
   {
      ReturnValue(%obj,0);
      return;
   }
   
   ReturnValue(%obj,-1);
   return;
}